# $Revision: 1.9 $, $Date: 2002/10/24 21:36:20 $
Summary:	KDE3 logical game
Summary(pl):	Gra logiczna dla KDE3
Name:		kpictorial
Version:	0.9.1
Release:	5
License:	GPL
Group:		X11/Applications
Source0:	http://telia.dl.sourceforge.net/sourceforge/kpictorial/%{name}-%{version}.tar.gz
Source1:	http://telia.dl.sourceforge.net/sourceforge/kpictorial/kpictorial-imglib-29052002.tar.gz
URL:		http://members.chello.at/roland.lezuo/kpictorial.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 3.0.3
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define         _htmldir        /usr/share/doc/kde/HTML

%description
Kpictorial is a little logical game. 

%description -l pl
Kpictorial jest niedu gr logiczn.

%package imglib
Summary:	Kpictorial - set of images
Summary(pl):	Kpictorial - zbir obrazkw
Group:		X11/Applications
Requires:	%{name} = %{version}

%description imglib
This is a set of images in xbm and xpm format which can be used
together with kpictorial.

%description imglib -l pl
Zbir obrazkw w formacie xbm i xpm, ktre mog by uyte z
kpictorial.

%prep
%setup -q

%build
kde_htmldir="%{_htmldir}"; export kde_htmldir
kde_icondir="%{_pixmapsdir}"; export kde_icondir

CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"

%configure \
	--enable-final \
	--disable-rpath

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Games/Board,%{_datadir}/apps/kpictorial}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_applnkdir}/{Games,Games/Board}/kpictorial.desktop

tar zxvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/apps/kpictorial
mv $RPM_BUILD_ROOT%{_datadir}/apps/kpictorial/{kpictorial-imglib,imglib}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Games/Board/*
%dir %{_datadir}/apps/kpictorial
%{_datadir}/apps/kpictorial/icons
%{_datadir}/apps/kpictorial/kpictorialui.rc
%{_pixmapsdir}/*/*/*/*

%files imglib
%defattr(644,root,root,755)
%{_datadir}/apps/kpictorial/imglib

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kpictorial.spec,v $
Revision 1.9  2002/10/24 21:36:20  kloczek
- reelase 5: added --enable-final --disable-rpath to autoconf parameters.

Revision 1.8  2002/10/22 07:33:21  qboosh
- removed imglib from base package; release 4

Revision 1.7  2002/10/14 20:14:43  ankry
- fix %%files

Revision 1.6  2002/09/17 15:54:25  kloczek
- cleanups and simplifications.

Revision 1.5  2002/08/31 14:45:01  blues
- release 3 - STBR

Revision 1.4  2002/07/29 00:28:40  blues
- ordinary configure macro

Revision 1.3  2002/06/15 11:41:09  ankry
- removed %%lang(en)
- release 2

Revision 1.2  2002/06/14 21:33:49  mkierus
- release 1

Revision 1.1  2002/06/11 18:31:46  mkierus
- initial pld release
